Index: /trunk/SophyaLib/Mgr/Makefile
===================================================================
--- /trunk/SophyaLib/Mgr/Makefile	(revision 218)
+++ /trunk/SophyaLib/Mgr/Makefile	(revision 218)
@@ -0,0 +1,168 @@
+include Mgr/Makefile.h
+LIBF =  $(LIB)libOutils++.a $(LIB)libImages++.a $(LIB)libStarReco++.a $(LIB)libNeuralNet.a $(LIB)libAcq.a
+LIBS = -L$(LIB) -lOutils++ -lImages++ -lStarReco++ -lNeuralNet -lAcq -lm
+LIBG = -L$(GLB) -lg++ -lstdc++
+
+defaut: prog
+
+all: acq pi prog
+
+acq: ProgAcq
+pi:  ProgPI
+prog: Prog
+
+ProgAcq: Db++ Db Acq libs slb slbacq
+ProgPI:  PI libs slb slbpi
+Prog: libs slb
+
+libs: clibs cxxlibs
+clibs:
+	cd LibsUtil ; $(MAKE)
+	cd ImagFSuiv ; $(MAKE)
+	cd NR ; $(MAKE)
+
+# Dans cet ordre pour les templates de cxx, a cause des dependances
+# pour instantiation automatique/manuels
+
+cxxlibs: NeuralNet Outils++ Images++ StarReco++ 
+
+.PHONY:  Acq
+Acq:
+	if [ -d Acq ] ; then cd  Acq ; $(MAKE) ; fi
+ 
+.PHONY:  StarReco++
+StarReco++:
+	if [ -d StarReco++ ] ; then cd  StarReco++ ; $(MAKE) ; fi
+ 
+.PHONY:  Images++
+Images++:
+	if [ -d Images++ ] ; then cd  Images++ ; $(MAKE) ; fi
+ 
+.PHONY:  Outils++
+Outils++:
+	if [ -d Outils++ ] ; then cd  Outils++ ; $(MAKE) ; fi
+ 
+.PHONY:  NeuralNet
+NeuralNet:
+	if [ -d NeuralNet ] ; then cd  NeuralNet ; $(MAKE) ; fi
+ 
+.PHONY: PI
+PI:
+	if [ -d PI ] ; then cd PI ; $(MAKE) ; fi
+	if [ -d PIext ] ; then cd PIext ; $(MAKE) ; fi
+.PHONY:  Db
+Db:
+	if [ -d Db ] ; then cd Db ; $(MAKE); fi
+ 
+.PHONY:  Db++
+Db++:
+	if [ -d Db++ ] ; then cd Db++ ; $(MAKE); fi
+ 
+.PHONY: Prog
+Prog:
+	if [ -d Prog ]; then cd  Prog ; $(MAKE); fi
+ 
+.PHONY: ProgAcq
+ProgAcq:
+	if [ -d ProgAcq ]; then cd  ProgAcq ; $(MAKE); fi
+ 
+.PHONY: ProgPI
+ProgPI:
+	if [ -d ProgPI ]; then cd  ProgPI ; $(MAKE); fi
+ 
+ifndef NOSHLIB
+
+PSLB = $(LIB)libStarReco++.a $(LIB)libNeuralNet.a $(LIB)libImages++.a $(LIB)libOutils++.a
+slb : $(SLB)libnr.so $(SLB)liberosc.so $(SLB)libpeida.so
+slbpi: slb $(SLB)libPI.so
+slbacq: slb $(SLB)libAcq.so
+
+#  Commande de construction de shared-lib 
+CMDSHL := ld -partage
+#  Flag d'inclusion/fin d'inclusion de tous les points  d'entree
+FGSHLA := -tout
+FGSHLN := -rien
+#  Librairies specifiques 
+LIBLSHL := 
+#  Librairie d'instanciation des templates 
+TILSHL := 
+TILSHLPI := 
+#   Commande de construction de la librairie d'instanciation des templates 
+CMDTILSHL := echo 'Cas Non Prevu'
+CMDTILSHLPI := echo 'Cas Non Prevu'
+
+# Construction de shared-libs sous OSF1
+ifeq ($(MACHEROS),OSF1)
+  override CMDSHL := ld -shared -update_registry $(SLB)so_locations
+  override FGSHLA := -all
+  override FGSHLN := -none 
+  override LIBLSHL := -lcxxstd -lcxx -lexc -lm -lc -lrt
+  override TILSHL := $(LIB)libertcxx.a
+  override CMDTILSHL := rm -f $(LIB)libertcxx.a ; cd $(REP); $(AR) $(ARFLAGS) $(LIB)libertcxx.a *.o
+  override TILSHLPI := $(LIB)libertcxxpi.a
+  override CMDTILSHLPI := rm -f $(LIB)libertcxxpi.a ; cd $(REPPI); $(AR) $(ARFLAGS) $(LIB)libertcxxpi.a *.o
+  ifeq ($(CXX),g++)
+    override LIBLSHL := $(LIBG) -lm -lc
+    override TILSHL := 
+    override CMDTILSHL := echo 'No Template instanciation library'
+    override TILSHLPI := 
+    override CMDTILSHLPI := echo 'No Template instanciation library'
+  endif
+endif
+
+# Construction de shared-libs sous Linux
+ifeq ($(MACHEROS),Linux)
+  override CMDSHL := ld -shared 
+  override FGSHLA := --whole-archive
+  override FGSHLN := --no-whole-archiv
+  override LIBLSHL := $(LIBG) -lm -lc
+  override TILSHL := 
+  override CMDTILSHL := echo 'No Template instanciation library'
+endif
+
+
+$(SLB)libnr.so : $(LIB)libnra.a
+	$(CMDSHL) -o $(SLB)libnr.so \
+	$(FGSHLA) $(LIB)libnra.a \
+	$(FGSHLN) $(LIBLSHL)
+
+$(SLB)liberosc.so : $(LIB)libdiv.a $(LIB)libmath.a \
+                    $(LIB)libfsv.a $(LIB)libimage.a
+	$(CMDSHL) -o $(SLB)liberosc.so \
+	$(FGSHLA) $(LIB)libdiv.a $(LIB)libmath.a \
+	$(LIB)libfsv.a $(LIB)libimage.a \
+	$(FGSHLN) $(LIBLSHL)
+
+$(SLB)libpeida.so : $(PSLB) $(SLB)liberosc.so $(SLB)libnr.so
+	$(CMDTILSHL)
+	$(CMDSHL) -o $(SLB)libpeida.so \
+	$(FGSHLA) $(PSLB) $(TILSHL) \
+	$(FGSHLN) -L$(SLB) -lerosc -lnr $(LIBLSHL)
+
+$(SLB)libAcq.so : $(LIB)libAcq.a $(SLB)libpeida.so
+	$(CMDSHL) -o $(SLB)libAcq.so \
+	$(FGSHLA) $(LIB)libDb++.a $(LIB)libErosDb.a $(LIB)libAcq.a \
+	$(FGSHLN) -L$(SLB) -lpeida -lerosc -L$(ORACLE_HOME)/lib -lclntsh $(LIBLSHL)
+
+$(SLB)libPI.so : $(LIB)libPI.a $(LIB)libPIext.a  
+	$(CMDTILSHLPI)
+	$(CMDSHL) -o $(SLB)libPI.so \
+	$(FGSHLA) $(LIB)libPI.a $(LIB)libPIext.a $(TILSHLPI) \
+	$(FGSHLN) -L$(SLB) -lpeida -lerosc \
+	-lXm -lXt -lX11 $(LIBLSHL)
+
+else
+slb :
+endif
+
+clean:
+	if [ -d $(LIB) ] ; then cd $(LIB)/. ; rm -f *.a  ; fi
+	if [ -d $(SLB) ] ; then cd $(SLB)/. ; rm -f *.so ; fi
+	if [ -d $(OBJ) ] ; then cd $(OBJ)/. ; rm -f *.o  ; fi
+	if [ -d $(OBJ)/cxxrep ] ; then cd $(OBJ)/cxxrep/. ; rm -f *.o  ; fi
+	if [ -d NR ]     ; then cd NR/.     ; make -f Makefile clean ; fi
+	if [ -d PI ]     ; then cd PI/.     ; $(MAKE) clean ; fi
+	if [ -d Prog ]   ; then cd Prog/.   ; $(MAKE) clean ; fi
+	if [ -d ProgPI ] ; then cd ProgPI/. ; $(MAKE) clean ; fi
+	if [ -d ProgAcq ]; then cd ProgAcq/.; $(MAKE) clean ; fi
+
Index: /trunk/SophyaLib/Mgr/Makefile.h
===================================================================
--- /trunk/SophyaLib/Mgr/Makefile.h	(revision 218)
+++ /trunk/SophyaLib/Mgr/Makefile.h	(revision 218)
@@ -0,0 +1,363 @@
+#  -*- makefile -*-
+# ######################### PEIDA++ ############################# 
+# ##### LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA #####
+# ############################################################### 
+# General setup GNU Makefile for EROS. To be included in all makefiles.  
+# Define  makefile variables according to CPU 
+# MACHEROSD = `uname | sed 's/-//'`   i.e. { AIX HPUX OSF1 Linux ... }
+# and compilers {g++, cxx, KCC, xlC, aCC, ...}
+# 
+# Makefile variables set are:
+# - Path to Exec, Include, Libs, Obj directories (from DPCDEVREP env. var.)
+#     i.e. variables LIB, OBJ, EXE, INC 
+#---------------------------------------------------------------------------
+
+# define MACHEROS from uname
+MACHEROS := $(shell echo `uname`)
+# define the -D option
+MACHEROSD := $(shell echo `uname | sed 's/-//'`)
+# Le sous-repertoire des objets specifique machine-compilo
+#   OSF1 : Alpha avec gcc
+#   OSF1-cxx : Alpha avec cxx
+
+#### C++
+ifdef EROSCXX
+  CXX := $(EROSCXX)
+endif
+
+ifeq ($(CXX),gcc)
+  override CXX := g++
+endif
+
+ifeq ($(EROSCXX),egcs++)
+  # en fait de compilo de egcs++ s'appelle g++ !
+  # comme il faut bien differentier ln -s /usr/bin/g++ /usr/bin/egcs++
+  override CXX := egcs++
+endif
+
+ifeq ($(CC),xlC)
+  override CXX := xlC
+endif
+
+#### C
+ifeq ($(CXX), xlC)
+  override CC := xlC
+endif
+
+ifeq ($(CXX), g++)
+  CC := gcc
+endif
+
+ifeq ($(EROSCXX), egcs++)
+  CC := egcs
+endif
+
+#### Fortran (tout ce qui est lie au Fortran est defini ici #############
+FC = f77
+ifeq ($(SITE),CCIN2P3)
+  ifeq ($(MACHEROS),AIX)
+    override FC := xlf
+  endif
+endif
+ifeq (${MACHEROS},Linux)
+#  override FC := f77
+  override FC := g77
+endif
+
+ifeq (${MACHEROS},OSF1)
+  LIBFORT = -lfor -lFutil -lots -lUfor
+endif
+ifeq (${MACHEROS},Linux)
+  LIBFORT = -lf2c
+endif
+#########################################################################
+
+
+MACHDIR := $(MACHEROS)-$(CXX)
+
+
+#-
+#-   Define Makefile paths
+#-  (NE PAS TOUCHER CES LIGNES: generation automatique de MakefileUser.h)
+#-  
+PP  := ${DPCDEVREP}/${MACHDIR}/
+LIB := ${PP}/Libs/
+SLB := ${PP}/ShLibs/
+OBJ := ${PP}/Objs/
+EXE := ${PP}/Exec/
+INC := ${DPCDEVREP}/Include/
+CCI := ${INC}/CInc/
+GLB := ${GNU}/${MACHEROS}/lib/
+#--
+
+#-   Flag for optimisation/ debug
+# Pour forcer sans debug, DBGFLAG = -g0
+ifndef OPTFLAG
+  OPTFLAG  := -O
+endif
+
+ifndef DBGFLAG
+  DBGFLAG  := -g
+endif
+
+# DBGFLAG a -g0 veut dire pas de debug. Tout le monde a ca par defaut...
+ifeq ($(DBGFLAG), -g0)
+  override DBGFLAG :=
+endif
+
+# xlC ne connait pas -O0, par defaut il n'optimise pas.
+ifeq ($(OPTFLAG), -O0)
+  ifeq ($(CC), xlC)
+    override OPTFLAG :=
+  endif
+endif
+
+AR       := ar
+ARFLAGS  := -rcs
+
+# le gnu ar ne fonctionne pas bien sur OSF...
+ifeq (${MACHEROS},OSF1)
+AR       := /usr/bin/ar
+endif
+# et sur AIX il nous sort des tas de warnings inutiles
+ifeq ($(MACHEROS),AIX)
+AR := /usr/bin/ar
+endif
+
+#   Avec certains compilateurs C++ (KCC, aCC) , il faut fabriquer les librairies et 
+# les shared libs avec la meme commande 
+override ARCXX := 
+ifeq ($(CXX),KCC)
+ARCXX  := KCC
+endif
+ifeq ($(CXX),aCC)
+ARCXX  := aCC
+endif
+
+# Les chemins speciaux pour includes systemes et bibliotheques
+ifeq (${MACHEROS},HP-UX)
+  XLDLIBS := -L.
+  XCFLAGS := -I.
+endif
+
+#  Pour compiler PI, sous Linux, les includes et libs se trouve souvent ds /usr/X11/include /usr/X11/lib/
+ifeq (${MACHEROS},Linux)
+  XLDLIBS := -L/usr/X11/lib 
+  XCFLAGS := -I/usr/X11/include
+  LDLIBS := -ldl
+endif
+
+# Pour RFIO
+ifeq ($(SITE),CCIN2P3)
+  XCFLAGS := $(XCFLAGS) -D RFIO -I/usr/local/include/shift
+  XLDLIBS := $(XLDLIBS) -L/usr/local/lib -lshift
+endif
+
+# Les bibliotheques gnu C pour le fort du CCPN
+ifeq ($(SITE),CCIN2P3)
+ ifeq ($(CC), gcc)
+  ifeq ($(MACHEROS),HP-UX)
+     FGLIB := -L/usr/local/lib/gcc-lib/hppa1.1-hp-hpux9.05/2.7.2.1 -lgcc
+  endif
+  ifeq ($(MACHEROS),AIX)
+     FGLIB := -L/usr/local/lib/gcc-lib/rs6000-ibm-aix3.2.5/2.7.2.1 -lgcc
+  endif
+ endif
+endif
+
+#  S'il y a des flags particulier pour un module de compilation
+#ifndef MODULECPPFLAGS
+  override MODULECPPFLAGS :=
+#endif
+
+CPPFLAGS     :=  -I${INC} -D${MACHEROSD} -I$(INC)/tnt $(MODULECPPFLAGS)
+
+# Les options selon les divers compilateurs
+# GNU
+ifeq ($(CC), gcc)
+  CFLAGS       := -Wall -Wpointer-arith \
+                  -Wmissing-prototypes -Wsynth -I$(INC) $(XCFLAGS) \
+                  $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+  LDLIBS       := $(LDLIBS) $(XLDLIBS)
+endif
+ifeq ($(CC), egcs)
+  CFLAGS       := -Wall -Wpointer-arith \
+                  -Wmissing-prototypes -Wsynth -I$(INC) $(XCFLAGS) \
+                  $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+  LDLIBS       := $(LDLIBS) $(XLDLIBS)
+endif
+
+ifeq ($(CXX), g++)
+  CXXFLAGS       := -Wall -Wpointer-arith \
+                    -Wmissing-prototypes -Wsynth -I$(INC) $(XCFLAGS) \
+                    $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) 
+  LDLIBS      := $(LDLIBS) $(XLDLIBS)
+#  Il faut trouver un moyen d'automatiser ca $CHECK$  Reza 23/12/98
+  ifdef GCCV28
+    CXXFLAGS := $(CXXFLAGS) -fguiding-decls -fname-mangling-version-1 -DCOMPILER_EXCEPTIONS
+  endif
+  ifdef NOSHLIB 
+    LDFLAGS := -static
+  endif
+endif
+ifeq ($(CXX), egcs++)
+  CXXFLAGS       := -Wall -Wpointer-arith \
+                    -Wmissing-prototypes -Wsynth -I$(INC) $(XCFLAGS) \
+                    $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) 
+  LDLIBS      := $(LDLIBS) $(XLDLIBS)
+  ifdef NOSHLIB 
+    LDFLAGS := -static
+  endif
+endif
+
+# Compilateur C natif HP-UX
+ifeq (${MACHEROS},HP-UX)
+ifeq ($(CC),cc)                                    
+  CFLAGS       :=  +Z -Aa -Ae $(XCFLAGS) $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) 
+  FFLAGS       :=  -Aa -I${INC}   -D${MACHEROSD}  
+  CPPFLAGS     :=  -I${INC}  -I$(INC)/tnt -D${MACHEROSD} \
+               -D_HPUX_SOURCE $(MODULECPPFLAGS)
+  LDLIBS      := $(XLDLIBS)
+  override NOSHLIB := Y
+
+endif
+ifeq ($(CXX),aCC)
+  CXXFLAGS := $(XCFLAGS) $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) +Z -D__aCC__
+#  -DCOMPILER_EXCEPTIONS -D__ANSI_TEMPLATES__  definis ds defs.h
+endif
+endif
+
+# AIX, xlC comme compilateur C et C++
+ifeq ($(CXX), xlC)
+  CFLAGS := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) $(XCFLAGS)
+  CPPFLAGS := -I$(INC)/Syst -I${INC}  -I$(INC)/tnt -D${MACHEROSD} $(MODULECPPFLAGS)
+  CXXFLAGS     := $(CFLAGS) -D__xlC -DCOMPILER_EXCEPTIONS
+# -DCOMPILER_EXCEPTIONS defini ds defs.h
+  LDLIBS      := $(XLDLIBS)
+
+# Pour faire des bibliotheques partagees, il faut faire un truc du
+# style 
+#ld -o shrsub.o subs1.o subs2.o -bE:shrsub.exp -bM:SRE -lc
+
+# Pour le moment on ne se fatigue pas, tant pis
+  override NOSHLIB := Y
+
+# Et puis 1540-293: (W) est un FAUX warning, on supprime les warnings
+  CXXFLAGS := -qflag=e $(CXXFLAGS)
+endif
+
+#gcc sur Solaris
+ifeq ($(MACHEROS),SunOS)
+ override NOSHLIB := Y
+endif
+
+ifeq ($(CXX), cxx)
+  ifeq ($(DBGFLAG), -g)
+    ifdef OPTFLAG
+      override DBGFLAG := -g1
+    endif
+#    ifdef XOPT
+#      override DBGFLAG := -g1
+#    endif
+  endif
+
+# chemin pour repository CXX
+ REP := $(OBJ)/cxxrep/
+ REPPI := $(OBJ)/cxxrep_PI/
+ REPCXX := -ptr $(OBJ)/cxxrep/
+ ifdef MODULECXXREPNAME
+   REPCXX := -ptr $(OBJ)/cxxrep_$(MODULECXXREPNAME)/  -ptr $(OBJ)/cxxrep/
+   REPM := $(OBJ)/cxxrep_$(MODULECXXREPNAME)/
+ endif
+
+  LDLIBS      := $(XLDLIBS) -lrt
+
+  CXXFLAGS := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS  \
+              $(REPCXX) -no_implicit_include 
+  CFLAGS := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+#  CXXFLAGS := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS \
+#	      -nopt -define_templates
+  ifeq ($(XOPT), 1)
+    override DBGFLAG :=
+    CXXFLAGS := $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS \
+	        $(REPCXX) -fp_reorder \
+	        -O5 -inline speed -tune host
+  endif
+  ifeq ($(XOPT), 2)
+    override DBGFLAG :=
+    CXXFLAGS := $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS \
+	      $(REPCXX) -fp_reorder \
+	      -O5 -inline speed -tune host \
+	      -assume trusted_short_alignment
+  endif
+  ifeq ($(XOPT), 3)
+    override DBGFLAG :=
+    CXXFLAGS := $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS \
+	      $(REPCXX) -fp_reorder \
+	      -O5 -inline speed -tune host \
+	      -assume trusted_short_alignment \
+	      -non_shared -om
+    override NOSHLIB := Y
+  endif
+
+# le fichier X11/Xlib.h contient des declarations de fonctions sans type
+# Cela genere un grand nombre de warning avec cxx V6
+# La variable MODULEDECCXXFLAGS permet de specifier des options de compilation 
+# pour un module donne  
+  ifdef MODULEDECCXXFLAGS
+    CXXFLAGS := $(CXXFLAGS) $(MODULEDECCXXFLAGS)
+  endif
+endif
+ifeq ($(CC),cc)
+  ifeq ($(MACHEROS),OSF1)
+  ifeq ($(XOPT), 1)
+    CFLAGS :=  $(DBGFLAG) $(MYCFLAGS) -fp_reorder \
+	      -O4 -inline speed -tune host
+  endif
+  ifeq ($(XOPT), 2)
+    CFLAGS :=  $(DBGFLAG) $(MYCFLAGS) -fp_reorder \
+	      -O4 -inline speed -tune host \
+	      -assume trusted_short_alignment -fast
+  endif
+  ifeq ($(XOPT), 3)
+    CFLAGS :=  $(DBGFLAG) $(MYCFLAGS) -fp_reorder \
+	      -O4 -inline speed -tune host \
+	      -assume trusted_short_alignment -fast \
+	      -non_shared -om
+  endif
+  endif
+endif
+
+
+#  Compilateur KAI 
+ifeq ($(CXX), KCC)
+  CXXFLAGS     :=  --exceptions --rtti  --auto_instantiation --one_instantiation_per_object -D__KCC__
+# Flag --one_instantiation_per_object mis - Reza 02/03/99
+# -DCOMPILER_EXCEPTIONS -D__ANSI_TEMPLATES__  definis ds defs.h 
+endif
+
+# Autres compilateurs natifs.
+
+#  CFLAGS       :=  -I$(INC) $(XCFLAGS) $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+#  CXXFLAGS     := $(CFLAGS)
+#  LDLIBS      := $(XLDLIBS)
+
+#- redefine implicit rule. Les .o sont dans $(OBJ).
+$(OBJ)%.o:%.c
+	$(COMPILE.c) -o $@ $<
+
+$(OBJ)%.o:%.cc
+	$(COMPILE.cc) -o $@ $<
+
+$(OBJ)%.o:%.f
+	$(COMPILE.f) -o $@ $< 
+
+#OSF1
+#LDFC est f77
+#LDFCFLAGS est rien
+
+#parfois
+#LDFC est cc
+#LDFCFLAGS est -ltruc
+
+#------------------------------------------------- End of Makefile.h ------- 
Index: /trunk/SophyaLib/Mgr/Makefile.slb
===================================================================
--- /trunk/SophyaLib/Mgr/Makefile.slb	(revision 218)
+++ /trunk/SophyaLib/Mgr/Makefile.slb	(revision 218)
@@ -0,0 +1,87 @@
+
+ifndef NOSHLIB
+
+PSLB = $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libBlitz.a 
+slb : $(SLB)libtools.so
+slbpi: slb $(SLB)libPI.so
+
+#  Commande de construction de shared-lib 
+CMDSHL := ld -partage
+#  Flag d'inclusion/fin d'inclusion de tous les points  d'entree
+FGSHLA := -tout
+FGSHLN := -rien
+#  Librairies specifiques 
+LIBLSHL := 
+#  Librairie d'instanciation des templates 
+TILSHL := 
+TILSHLPI := 
+#   Commande de construction de la librairie d'instanciation des templates 
+CMDTILSHL := echo 'Cas Non Prevu'
+CMDTILSHLPI := echo 'Cas Non Prevu'
+#  Chemin des librairies Motifs / X11 (pour chemin non standard)
+LIBXPATH :=
+
+# Construction de shared-libs sous OSF1
+ifeq ($(MACHEROS),OSF1)
+  override CMDSHL := ld -shared -update_registry $(SLB)so_locations
+  override FGSHLA := -all
+  override FGSHLN := -none 
+  override LIBLSHL := -lcxxstd -lcxx -lexc -lm -lc -lrt
+  override TILSHL := $(LIB)libertcxx.a
+  override CMDTILSHL := rm -f $(LIB)libertcxx.a ; cd $(REP); $(AR) $(ARFLAGS) $(LIB)libertcxx.a *.o
+  override TILSHLPI := $(LIB)libertcxxpi.a
+  override CMDTILSHLPI := rm -f $(LIB)libertcxxpi.a ; cd $(REPPI); $(AR) $(ARFLAGS) $(LIB)libertcxxpi.a *.o
+  ifeq ($(CXX),g++)
+    override LIBLSHL := $(LIBG) -lm -lc
+    override TILSHL := 
+    override CMDTILSHL := echo 'No Template instanciation library'
+    override TILSHLPI := 
+    override CMDTILSHLPI := echo 'No Template instanciation library'
+  endif
+endif
+
+# Construction de shared-libs sous Linux
+ifeq ($(MACHEROS),Linux)
+  override CMDSHL := ld -shared 
+  override FGSHLA := --whole-archive
+  override FGSHLN := --no-whole-archiv
+  override CMDSHLCXX := $(LINK.cc) -shared 
+  override FGSHLACXX := 
+  override FGSHLNCXX := 
+  override LIBLSHL := $(LIBG) -lm -ldl
+  override TILSHL := 
+  override CMDTILSHL := echo 'No Template instanciation library'
+  override LIBXPATH := -L/usr/X11/lib
+endif
+
+# Liste des .o associes a une librairie
+OBJSysTools = $(shell echo `cat ./SysTools/SysTools.o.list`)
+OBJNTools = $(shell echo `cat ./NTools/NTools.o.list`)
+OBJBlitz = $(shell echo `cat ./Blitz/Blitz.o.list`)
+OBJPI         = $(shell echo `cat ./PI/PI.o.list`)
+OBJPIext      = $(shell echo `cat ./PIext/PIext.o.list`)
+
+# Creation des librairies partagees
+
+
+#------------------------------------------------------------
+$(SLB)libtools.so : $(PSLB) 
+	$(CMDTILSHL)
+	cd $(OBJ); \
+	$(CMDSHLCXX) -o $(SLB)libtools.so \
+	$(FGSHLACXX) $(OBJSysTools) $(OBJNTools) $(OBJBlitz) $(TILSHL) \
+	$(FGSHLNCXX) -L$(SLB) $(LIBLSHL)
+
+
+$(SLB)libPI.so : $(LIB)libPI.a $(LIB)libPIext.a
+	$(CMDTILSHLPI)
+	cd $(OBJ); \
+	$(CMDSHLCXX) -o $(SLB)libPI.so \
+	$(FGSHLACXX) $(OBJPI) $(OBJPIext) $(TILSHLPI) \
+	$(FGSHLN) -L$(SLB) -ltools \
+	$(LIBXPATH) -lXm -lXt -lX11 $(LIBLSHL)
+
+else
+slb :
+endif
+
Index: /trunk/SophyaLib/Mgr/MakefileUser.h
===================================================================
--- /trunk/SophyaLib/Mgr/MakefileUser.h	(revision 218)
+++ /trunk/SophyaLib/Mgr/MakefileUser.h	(revision 218)
@@ -0,0 +1,365 @@
+#  -*- makefile -*-
+# ######################### PEIDA++ ############################# 
+# ##### LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA #####
+# ############################################################### 
+# General setup GNU Makefile for EROS. To be included in all makefiles.  
+# Define  makefile variables according to CPU 
+# MACHEROSD = `uname | sed 's/-//'`   i.e. { AIX HPUX OSF1 Linux ... }
+# and compilers {g++, cxx, KCC, xlC, aCC, ...}
+# 
+# Makefile variables set are:
+# - Path to Exec, Include, Libs, Obj directories (from DPCDEVREP env. var.)
+#     i.e. variables LIB, OBJ, EXE, INC 
+#---------------------------------------------------------------------------
+
+# define MACHEROS from uname
+MACHEROS := $(shell echo `uname`)
+# define the -D option
+MACHEROSD := $(shell echo `uname | sed 's/-//'`)
+# Le sous-repertoire des objets specifique machine-compilo
+#   OSF1 : Alpha avec gcc
+#   OSF1-cxx : Alpha avec cxx
+
+#### C++
+ifdef EROSCXX
+  CXX := $(EROSCXX)
+endif
+
+ifeq ($(CXX),gcc)
+  override CXX := g++
+endif
+
+ifeq ($(EROSCXX),egcs++)
+  # en fait de compilo de egcs++ s'appelle g++ !
+  # comme il faut bien differentier ln -s /usr/bin/g++ /usr/bin/egcs++
+  override CXX := egcs++
+endif
+
+ifeq ($(CC),xlC)
+  override CXX := xlC
+endif
+
+#### C
+ifeq ($(CXX), xlC)
+  override CC := xlC
+endif
+
+ifeq ($(CXX), g++)
+  CC := gcc
+endif
+
+ifeq ($(EROSCXX), egcs++)
+  CC := egcs
+endif
+
+#### Fortran (tout ce qui est lie au Fortran est defini ici #############
+FC = f77
+ifeq ($(SITE),CCIN2P3)
+  ifeq ($(MACHEROS),AIX)
+    override FC := xlf
+  endif
+endif
+ifeq (${MACHEROS},Linux)
+#  override FC := f77
+  override FC := g77
+endif
+
+ifeq (${MACHEROS},OSF1)
+  LIBFORT = -lfor -lFutil -lots -lUfor
+endif
+ifeq (${MACHEROS},Linux)
+  LIBFORT = -lf2c
+endif
+#########################################################################
+
+
+MACHDIR := $(MACHEROS)-$(CXX)
+
+
+#-
+#-   Define Makefile paths
+#-  (NE PAS TOUCHER CES LIGNES: generation automatique de MakefileUser.h)
+#-  
+PP  := ${DPCBASEREP}/${MACHDIR}/
+PPH := ${HOME}/${MACHDIR}/
+LIB := ${PP}/Libs/
+SLB := ${PP}/ShLibs/
+OBJ := ${PPH}/Objs/
+EXE := ${PPH}/Exec/
+INC := ${DPCBASEREP}/Include/
+CCI := ${INC}/CInc/
+GLB := ${GNU}/${MACHEROS}/lib/
+#--
+
+#-   Flag for optimisation/ debug
+# Pour forcer sans debug, DBGFLAG = -g0
+ifndef OPTFLAG
+  OPTFLAG  := -O
+endif
+
+ifndef DBGFLAG
+  DBGFLAG  := -g
+endif
+
+# DBGFLAG a -g0 veut dire pas de debug. Tout le monde a ca par defaut...
+ifeq ($(DBGFLAG), -g0)
+  override DBGFLAG :=
+endif
+
+# xlC ne connait pas -O0, par defaut il n'optimise pas.
+ifeq ($(OPTFLAG), -O0)
+  ifeq ($(CC), xlC)
+    override OPTFLAG :=
+  endif
+endif
+
+AR       := ar
+ARFLAGS  := -rcs
+
+# le gnu ar ne fonctionne pas bien sur OSF...
+ifeq (${MACHEROS},OSF1)
+AR       := /usr/bin/ar
+endif
+# et sur AIX il nous sort des tas de warnings inutiles
+ifeq ($(MACHEROS),AIX)
+AR := /usr/bin/ar
+endif
+
+#   Avec certains compilateurs C++ (KCC, aCC) , il faut fabriquer les librairies et 
+# les shared libs avec la meme commande 
+override ARCXX := 
+ifeq ($(CXX),KCC)
+ARCXX  := KCC
+endif
+ifeq ($(CXX),aCC)
+ARCXX  := aCC
+endif
+
+# Les chemins speciaux pour includes systemes et bibliotheques
+ifeq (${MACHEROS},HP-UX)
+  XLDLIBS := -L.
+  XCFLAGS := -I.
+endif
+
+#  Pour compiler PI, sous Linux, les includes et libs se trouve souvent ds /usr/X11/include /usr/X11/lib/
+ifeq (${MACHEROS},Linux)
+  XLDLIBS := -L/usr/X11/lib 
+  XCFLAGS := -I/usr/X11/include
+  LDLIBS := -ldl
+endif
+
+# Pour RFIO
+ifeq ($(SITE),CCIN2P3)
+  XCFLAGS := $(XCFLAGS) -D RFIO -I/usr/local/include/shift
+  XLDLIBS := $(XLDLIBS) -L/usr/local/lib -lshift
+endif
+
+# Les bibliotheques gnu C pour le fort du CCPN
+ifeq ($(SITE),CCIN2P3)
+ ifeq ($(CC), gcc)
+  ifeq ($(MACHEROS),HP-UX)
+     FGLIB := -L/usr/local/lib/gcc-lib/hppa1.1-hp-hpux9.05/2.7.2.1 -lgcc
+  endif
+  ifeq ($(MACHEROS),AIX)
+     FGLIB := -L/usr/local/lib/gcc-lib/rs6000-ibm-aix3.2.5/2.7.2.1 -lgcc
+  endif
+ endif
+endif
+
+#  S'il y a des flags particulier pour un module de compilation
+#ifndef MODULECPPFLAGS
+  override MODULECPPFLAGS :=
+#endif
+
+CPPFLAGS     :=  -I${INC} -D${MACHEROSD} -I$(INC)/tnt $(MODULECPPFLAGS)
+
+# Les options selon les divers compilateurs
+# GNU
+ifeq ($(CC), gcc)
+  CFLAGS       := -Wall -Wpointer-arith \
+                  -Wmissing-prototypes -Wsynth -I$(INC) $(XCFLAGS) \
+                  $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+  LDLIBS       := $(LDLIBS) $(XLDLIBS)
+endif
+ifeq ($(CC), egcs)
+  CFLAGS       := -Wall -Wpointer-arith \
+                  -Wmissing-prototypes -Wsynth -I$(INC) $(XCFLAGS) \
+                  $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+  LDLIBS       := $(LDLIBS) $(XLDLIBS)
+endif
+
+ifeq ($(CXX), g++)
+  CXXFLAGS       := -Wall -Wpointer-arith \
+                    -Wmissing-prototypes -Wsynth -I$(INC) $(XCFLAGS) \
+                    $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) 
+  LDLIBS      := $(LDLIBS) $(XLDLIBS)
+#  Il faut trouver un moyen d'automatiser ca $CHECK$  Reza 23/12/98
+  ifdef GCCV28
+    CXXFLAGS := $(CXXFLAGS) -fguiding-decls -fname-mangling-version-1 -DCOMPILER_EXCEPTIONS
+  endif
+  ifdef NOSHLIB 
+    LDFLAGS := -static
+  endif
+endif
+ifeq ($(CXX), egcs++)
+  CXXFLAGS       := -Wall -Wpointer-arith \
+                    -Wmissing-prototypes -Wsynth -I$(INC) $(XCFLAGS) \
+                    $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) 
+  LDLIBS      := $(LDLIBS) $(XLDLIBS)
+  ifdef NOSHLIB 
+    LDFLAGS := -static
+  endif
+endif
+
+# Compilateur C natif HP-UX
+ifeq (${MACHEROS},HP-UX)
+ifeq ($(CC),cc)                                    
+  CFLAGS       :=  +Z -Aa -Ae $(XCFLAGS) $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) 
+  FFLAGS       :=  -Aa -I${INC}   -D${MACHEROSD}  
+  CPPFLAGS     :=  -I${INC}  -I$(INC)/tnt -D${MACHEROSD} \
+               -D_HPUX_SOURCE $(MODULECPPFLAGS)
+  LDLIBS      := $(XLDLIBS)
+  override NOSHLIB := Y
+
+endif
+ifeq ($(CXX),aCC)
+  CXXFLAGS := $(XCFLAGS) $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) +Z -D__aCC__
+#  -DCOMPILER_EXCEPTIONS -D__ANSI_TEMPLATES__  definis ds defs.h
+endif
+endif
+
+# AIX, xlC comme compilateur C et C++
+ifeq ($(CXX), xlC)
+  CFLAGS := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) $(XCFLAGS)
+  CPPFLAGS := -I$(INC)/Syst -I${INC}  -I$(INC)/tnt -D${MACHEROSD} $(MODULECPPFLAGS)
+  CXXFLAGS     := $(CFLAGS) -D__xlC -DCOMPILER_EXCEPTIONS
+# -DCOMPILER_EXCEPTIONS defini ds defs.h
+  LDLIBS      := $(XLDLIBS)
+
+# Pour faire des bibliotheques partagees, il faut faire un truc du
+# style 
+#ld -o shrsub.o subs1.o subs2.o -bE:shrsub.exp -bM:SRE -lc
+
+# Pour le moment on ne se fatigue pas, tant pis
+  override NOSHLIB := Y
+
+# Et puis 1540-293: (W) est un FAUX warning, on supprime les warnings
+  CXXFLAGS := -qflag=e $(CXXFLAGS)
+endif
+
+#gcc sur Solaris
+ifeq ($(MACHEROS),SunOS)
+ override NOSHLIB := Y
+endif
+
+ifeq ($(CXX), cxx)
+  ifeq ($(DBGFLAG), -g)
+    ifdef OPTFLAG
+      override DBGFLAG := -g1
+    endif
+#    ifdef XOPT
+#      override DBGFLAG := -g1
+#    endif
+  endif
+
+# chemin pour repository CXX
+ REP := $(OBJ)/cxxrep/
+ REPPI := $(OBJ)/cxxrep_PI/
+ REPCXX := -ptr $(OBJ)/cxxrep/
+ ifdef MODULECXXREPNAME
+   REPCXX := -ptr $(OBJ)/cxxrep_$(MODULECXXREPNAME)/  -ptr $(OBJ)/cxxrep/
+   REPM := $(OBJ)/cxxrep_$(MODULECXXREPNAME)/
+ endif
+
+  LDLIBS      := $(XLDLIBS) -lrt
+
+  CXXFLAGS := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS  \
+              $(REPCXX) -no_implicit_include 
+  CFLAGS := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+#  CXXFLAGS := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS \
+#	      -nopt -define_templates
+  ifeq ($(XOPT), 1)
+    override DBGFLAG :=
+    CXXFLAGS := $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS \
+	        $(REPCXX) -fp_reorder \
+	        -O5 -inline speed -tune host
+  endif
+  ifeq ($(XOPT), 2)
+    override DBGFLAG :=
+    CXXFLAGS := $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS \
+	      $(REPCXX) -fp_reorder \
+	      -O5 -inline speed -tune host \
+	      -assume trusted_short_alignment
+  endif
+  ifeq ($(XOPT), 3)
+    override DBGFLAG :=
+    CXXFLAGS := $(DBGFLAG) $(MYCFLAGS) -DCOMPILER_EXCEPTIONS \
+	      $(REPCXX) -fp_reorder \
+	      -O5 -inline speed -tune host \
+	      -assume trusted_short_alignment \
+	      -non_shared -om
+    override NOSHLIB := Y
+  endif
+
+# le fichier X11/Xlib.h contient des declarations de fonctions sans type
+# Cela genere un grand nombre de warning avec cxx V6
+# La variable MODULEDECCXXFLAGS permet de specifier des options de compilation 
+# pour un module donne  
+  ifdef MODULEDECCXXFLAGS
+    CXXFLAGS := $(CXXFLAGS) $(MODULEDECCXXFLAGS)
+  endif
+endif
+ifeq ($(CC),cc)
+  ifeq ($(MACHEROS),OSF1)
+  ifeq ($(XOPT), 1)
+    CFLAGS :=  $(DBGFLAG) $(MYCFLAGS) -fp_reorder \
+	      -O4 -inline speed -tune host
+  endif
+  ifeq ($(XOPT), 2)
+    CFLAGS :=  $(DBGFLAG) $(MYCFLAGS) -fp_reorder \
+	      -O4 -inline speed -tune host \
+	      -assume trusted_short_alignment -fast
+  endif
+  ifeq ($(XOPT), 3)
+    CFLAGS :=  $(DBGFLAG) $(MYCFLAGS) -fp_reorder \
+	      -O4 -inline speed -tune host \
+	      -assume trusted_short_alignment -fast \
+	      -non_shared -om
+  endif
+  endif
+endif
+
+
+#  Compilateur KAI 
+ifeq ($(CXX), KCC)
+  CXXFLAGS     :=  --exceptions --rtti  --auto_instantiation --one_instantiation_per_object -D__KCC__
+# Flag --one_instantiation_per_object mis - Reza 02/03/99
+# -DCOMPILER_EXCEPTIONS -D__ANSI_TEMPLATES__  definis ds defs.h 
+endif
+
+# Autres compilateurs natifs.
+
+#  CFLAGS       :=  -I$(INC) $(XCFLAGS) $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+#  CXXFLAGS     := $(CFLAGS)
+#  LDLIBS      := $(XLDLIBS)
+
+#- redefine implicit rule. Les .o sont dans $(OBJ).
+$(OBJ)%.o:%.c
+	$(COMPILE.c) -o $@ $<
+
+$(OBJ)%.o:%.cc
+	$(COMPILE.cc) -o $@ $<
+
+$(OBJ)%.o:%.f
+	$(COMPILE.f) -o $@ $< 
+
+#OSF1
+#LDFC est f77
+#LDFCFLAGS est rien
+
+#parfois
+#LDFC est cc
+#LDFCFLAGS est -ltruc
+
+#------------------------------------------------- End of Makefile.h ------- 
+# fin gene auto MakefileUser.h
Index: /trunk/SophyaLib/Mgr/chk_cvs.csh
===================================================================
--- /trunk/SophyaLib/Mgr/chk_cvs.csh	(revision 218)
+++ /trunk/SophyaLib/Mgr/chk_cvs.csh	(revision 218)
@@ -0,0 +1,61 @@
+#!/bin/csh
+
+unset A
+unset U
+unset NOS
+unset R
+if( "$1" == '-h' ) then
+  echo "usage chk_cvs.csh [-a] [-all] [-nos] [-u] [r]"
+  echo "    -nos : pas de cvs status demande"
+  echo "      -a   : cvs status reduit  pour tous les fichiers"
+  echo "      -all : cvs status complet pour tous les fichiers"
+  echo "    -u   : update demande"
+  echo "    -r   : chmod a+r demande"
+  exit -1
+else
+  while( $#argv>0 )
+    if( "$1" == "-a") set A = 1
+    if( "$1" == "-all") set A = 2
+    if( "$1" == "-nos") set NOS
+    if( "$1" == "-u") set U
+    if( "$1" == "-r") set R
+    shift
+  end
+endif
+if( $?U || $?R ) set NOS
+
+set fall = (`ls -1`)
+set dcvs = ( )
+foreach f ( $fall )
+  if( -e $f/CVS ) set dcvs = ( $dcvs $f )
+end
+
+set CURDIR = `pwd`
+if( $?U ) echo "attention...... UPDATE demande"
+
+foreach d ( $dcvs )
+  if (-e $CURDIR/$d)  then
+    echo " " ; echo " "
+    echo "******************************************"
+    echo "   --- $d ---" ; echo " "
+    cd $CURDIR/$d
+    if( ! $?NOS ) then
+      if( $?A ) then
+        if( $A == 1 ) then
+          cvs status | grep Status
+        else if( $A == 2 ) then
+          cvs status
+        endif
+      else
+        cvs status | grep Status | grep -v "Up-to-date"
+      endif
+    endif
+    if( $?U ) cvs update
+    if( $?R ) then
+      chmod -R a+r *
+    endif
+  endif
+end
+
+cd $CURDIR
+exit 0
Index: /trunk/SophyaLib/Mgr/crecxx.file
===================================================================
--- /trunk/SophyaLib/Mgr/crecxx.file	(revision 218)
+++ /trunk/SophyaLib/Mgr/crecxx.file	(revision 218)
@@ -0,0 +1,16 @@
+cimage.h
+circrfix.h
+daofind.h
+deflat.h
+dynccd.h
+fitsimage.h
+imageop.h
+killbad.h
+photfitpsf.h
+photfixedap.h
+pixeliter.h
+psf2dfit.h
+qualite.h
+rebinimage.h
+rzimage.h
+sharedimage.h
Index: /trunk/SophyaLib/Mgr/crerep_peida
===================================================================
--- /trunk/SophyaLib/Mgr/crerep_peida	(revision 218)
+++ /trunk/SophyaLib/Mgr/crerep_peida	(revision 218)
@@ -0,0 +1,50 @@
+#!/bin/csh
+
+if( $#argv < 1 ) then
+  echo "crerep_peida <nom des repertoires> [nom_machine-compilateur]"
+  echo " - ex: crerep_peida "\$"GROUP_DIR/PeidaWork HP-UX"
+  echo " - possibilites nom_machine-compilateur"
+  echo "    [AIX-xlC AIX-g++ HP-UX-aCC HP-UX-g++ OSF1-cxx OSF1-g++ Linux-g++ ...]"
+  if($?EROSCXX) then
+    echo "    defaut: `uname`-$EROSCXX"
+  else
+    echo "    pas de defaut donnez explicitement nom_machine-compilateur"
+  endif
+  exit -1
+endif
+
+set dirl = $1
+if ( ! -e ${dirl} ) then
+  echo ATTENTION REPERTOIRE INEXISTANT:
+  echo ${dirl}
+  exit -1
+endif
+echo "rep. de base: ${dirl}"
+
+shift
+if( $#argv > 0 ) then
+  set diru = $1
+  echo "machine-compilateur: ${diru}"
+else if ($?EROSCXX) then
+  echo uname=`uname` EROSCXX = $EROSCXX
+  set diru = `uname`-$EROSCXX
+  echo "AUTOMATIQUE machine-compilateur: ${diru}"
+else
+  echo "precisez nom_machine-compilateur ou EROSCXX"
+  exit -1
+endif
+
+foreach d ( ${dirl}/${diru} \
+            ${dirl}/Include ${dirl}/Include/tnt \
+            ${dirl}/${diru}/Exec \
+            ${dirl}/${diru}/Libs ${dirl}/${diru}/ShLibs \
+            ${dirl}/${diru}/Objs )
+  if ( -e $d ) then
+    echo "rep. existant: $d"
+  else
+    echo "rep. cree: $d"
+    mkdir $d
+  endif
+end
+
+exit 0
Index: /trunk/SophyaLib/Mgr/install_peida
===================================================================
--- /trunk/SophyaLib/Mgr/install_peida	(revision 218)
+++ /trunk/SophyaLib/Mgr/install_peida	(revision 218)
@@ -0,0 +1,117 @@
+#!/bin/csh
+#  Script d'installation PEIDA 
+#  Version preliminaire - Reza 27/11/97 +cmv
+
+if( "$1" == "-h" ) then
+  echo "install_peida <-s repertoire source> <-d repertoire destination>"
+  echo "              [-m nom_machine-compilateur]"
+  if($?DPCDEVREP) then
+    echo " - defaut repertoire source: $DPCDEVREP"
+  else
+    echo "   pas de defaut donnez explicitement le repertoire source"
+  endif
+  if($?DPCBASEREP) then
+    echo " - defaut repertoire destination: $DPCBASEREP"
+  else
+    echo "   pas de defaut donnez explicitement le repertoire destination"
+  endif
+  echo " - possibilites nom_machine-compilateur"
+  echo "    [AIX-xlC AIX-g++ HP-UX-aCC HP-UX-g++ OSF1-cxx OSF1-g++  Linux-g++ ...]"
+  if($?EROSCXX) then
+    echo "    defaut: `uname`-$EROSCXX"
+  else
+    echo "    pas de defaut donnez explicitement nom_machine-compilateur"
+  endif
+  exit -1
+endif
+
+unset srcdir
+unset dstdir
+unset macomp
+
+while( $#argv > 1 )
+  if( "$1" == "-s" ) then
+    set srcdir = $2
+  endif
+  if( "$1" == "-d" ) then
+    set dstdir = $2
+  endif
+  if( "$1" == "-m" ) then
+    set macomp = $2
+  endif
+  shift
+  shift
+end
+
+if( ! $?srcdir && $?DPCDEVREP ) then
+  echo "defaut srcdir set to DPCDEVREP"
+  set srcdir = $DPCDEVREP
+endif
+if( ! $?dstdir && $?DPCBASEREP ) then
+  echo "defaut dstdir set to DPCBASEREP"
+  set dstdir = $DPCBASEREP
+endif
+if( ! $?macomp && $?EROSCXX ) then
+  echo "defaut macomp set to uname-EROSCXX"
+  set macomp = `uname`-$EROSCXX
+endif
+
+if( ! $?srcdir || ! $?dstdir || ! $?macomp ) then
+  echo "precisez ce que vous voulez:"
+  echo srcdir=$?srcdir dstdir=$?dstdir macomp=$?macomp
+  exit -1
+else
+  set SRC = $srcdir/$macomp
+  set DST = $dstdir/$macomp
+  echo "************** PEIDA_Install script : ****************** "
+  echo "copie de $srcdir"
+  echo "      vers $dstdir pour $macomp"
+  echo "      pour $macomp"
+  # echo "SRC= $SRC , DST= $DST"
+  echo "********************************************************"
+endif
+
+#set DO = echo
+set DO =
+
+# d'abord les includes
+#foreach d ( Include Include/tnt Include/CInc Include/SystCxx Include/Syst )
+foreach d ( Include Include/tnt Include/CInc Include/Syst )
+  echo "PEIDA_Install: Installing $d ... "
+  if( ! -e $srcdir/$d ) then
+    echo "rep. inexistant: $SRC/$d"
+  else if( ! -e $dstdir/$d ) then
+    echo "rep. inexistant: $DST/$d"
+  else
+    cd $srcdir/$d
+    $DO cp * $dstdir/$d/.
+    $DO chmod -R a+r $dstdir/$d/
+  endif
+end
+
+# puis le reste
+foreach d ( Libs ShLibs Exec )
+  echo "PEIDA_Install: Installing $d ... "
+  if( ! -e $SRC/$d ) then
+    echo "rep. inexistant: $SRC/$d"
+  else if( ! -e $DST/$d ) then
+    echo "rep. inexistant: $DST/$d"
+  else
+    if( "$d" == "Exec" ) then
+      foreach f ( stars++ assocbr++ synth++ spiapp piapp )
+        if( -e $SRC/$d/$f ) then
+          $DO cp $SRC/$d/$f $DST/$d/.
+        endif
+      end
+      $DO chmod -R a+x $DST/$d/
+    else
+      cd $SRC/$d/.
+      $DO cp * $DST/$d/.
+    endif
+    $DO chmod -R a+r $DST/$d/
+  endif
+end
+
+echo 'PEIDA_Install complete'
+
+exit 0
Index: /trunk/SophyaLib/Mgr/libdirs
===================================================================
--- /trunk/SophyaLib/Mgr/libdirs	(revision 218)
+++ /trunk/SophyaLib/Mgr/libdirs	(revision 218)
@@ -0,0 +1,2 @@
+SysTools
+NTools
Index: /trunk/SophyaLib/Mgr/libdirs_ccpn
===================================================================
--- /trunk/SophyaLib/Mgr/libdirs_ccpn	(revision 218)
+++ /trunk/SophyaLib/Mgr/libdirs_ccpn	(revision 218)
@@ -0,0 +1,3 @@
+Outils++
+Images++
+StarReco++
Index: /trunk/SophyaLib/Mgr/lnktofftw.csh
===================================================================
--- /trunk/SophyaLib/Mgr/lnktofftw.csh	(revision 218)
+++ /trunk/SophyaLib/Mgr/lnktofftw.csh	(revision 218)
@@ -0,0 +1,10 @@
+#! /bin/csh 
+#  Pour creer des liens sur libFFTW et creer le shared-lib correspondant
+#        Reza 04/99
+#
+cd ~/DPC/Linux-g++/Libs/
+ln -s /usr/local/lib/libfftw.a libfftw.a
+ln -s /usr/local/lib/librfftw.a librfftw.a
+ln -s /usr/local/include/fftw.h ../../Include/
+ln -s /usr/local/include/rfftw.h ../../Include/
+ld -shared -o ../ShLibs/libfftw.so -L. --whole-archive -lfftw -lrfftw --no-whole-archive -lm -lc
Index: /trunk/SophyaLib/Mgr/makefileuser.awk
===================================================================
--- /trunk/SophyaLib/Mgr/makefileuser.awk	(revision 218)
+++ /trunk/SophyaLib/Mgr/makefileuser.awk	(revision 218)
@@ -0,0 +1,25 @@
+BEGIN {change=0;}
+/^PP  := \$\{DPCDEVREP\}\/\$\{MACHDIR\}\// {
+  print "PP  := \$\{DPCBASEREP\}\/\$\{MACHDIR\}\/";
+  print "PPH := \$\{HOME\}\/\$\{MACHDIR\}\/";
+  change=1;
+}
+/^OBJ := \$\{PP\}\/Objs\// {
+  print "OBJ := \$\{PPH\}\/Objs\/";
+  change=1;
+}
+/^EXE := \$\{PP\}\/Exec\// {
+  print "EXE := \$\{PPH\}\/Exec\/";
+  change=1;
+}
+/^INC := \$\{DPCDEVREP\}\/Include\// {
+  print "INC := \$\{DPCBASEREP\}\/Include\/";
+  change=1;
+}
+{
+  if(change==0) print $0
+  change=0;
+}
+END {
+print "# fin gene auto MakefileUser.h"
+}
Index: /trunk/SophyaLib/Mgr/mkmf
===================================================================
--- /trunk/SophyaLib/Mgr/mkmf	(revision 218)
+++ /trunk/SophyaLib/Mgr/mkmf	(revision 218)
@@ -0,0 +1,91 @@
+#!/bin/csh 
+# $Id: mkmf,v 1.1.1.1 1999-04-09 17:55:32 ansari Exp $
+
+# creation de MakefileUser.h a partir de Makefile.h
+echo 'mkmf: Creation de MakefileUser.h'
+cat Makefile.h | awk -f makefileuser.awk >! MakefileUser.h
+
+# creation des liens pour les includes
+echo 'mkmf: Creation des liens (appel mkmflien)'
+./mkmflien
+
+echo 'mkmf: Creation makefile global :'
+rm -f GNUmakefile
+
+echo 'include Mgr/Makefile.h' >> GNUmakefile
+
+echo 'LIBF = ' `sed -e 's/.*/$(LIB)lib&.a/' libdirs` >> GNUmakefile
+echo 'LIBS = -L$(LIB)' `sed -e 's/.*/-l&/' libdirs` '-lm' >> GNUmakefile
+echo 'LIBG = -L$(GLB) -lstdc++' >> GNUmakefile
+
+cat >> GNUmakefile <<EOF
+
+defaut: libs
+
+all: libs PI
+
+
+libs: cxxlibs
+# Dans cet ordre pour les templates de cxx, a cause des dependances
+# pour instantiation automatique/manuels
+
+cxxlibs: Blitz SysTools NTools 
+
+EOF
+
+
+#  Attention, ne pas changer l'ordre de libnames dependances cxx
+set libnames = (Blitz SysTools NTools)
+set i = 1
+set j = $#libnames ; @ j--
+while ($i <= $#libnames)
+  set f = $libnames[$i]
+  set k = $i ; @ k++
+  if ( -d ../$f ) then 
+    set cmd = "./mkmflib $f $libnames[$k-$j]"
+    echo "mkmf: Creation makefile lib $f"
+    echo "   execution $cmd"
+    $cmd
+  endif
+  echo '.PHONY: ' $f >> GNUmakefile
+  echo $f':' >> GNUmakefile
+  echo '	if [ -d '$f' ] ; then cd ' $f '; $(MAKE) ; fi' >> GNUmakefile
+  echo ' ' >> GNUmakefile
+  @ i++
+end
+
+
+if ( -d ../PI ) then 
+  set cmd = './mkmfPI PI SysTools'
+  echo "mkmf: Creation makefile lib PI"
+  echo "   execution $cmd"
+  $cmd
+endif
+if ( -d ../PIext ) then 
+  set cmd = './mkmfPI PIext SysTools NTools PI'
+  echo "mkmf: Creation makefile lib PIext"
+  echo "   execution $cmd"
+  $cmd
+endif
+echo '.PHONY: PI' >> GNUmakefile
+echo 'PI:' >> GNUmakefile
+echo '	if [ -d PI ] ; then cd PI ; $(MAKE) ; fi' >> GNUmakefile
+echo '	if [ -d PIext ] ; then cd PIext ; $(MAKE) ; fi' >> GNUmakefile
+
+cat Makefile.slb >> GNUmakefile
+
+cat >> GNUmakefile << __END__
+
+clean:
+	if [ -d \$(LIB) ] ; then cd \$(LIB)/. ; rm -f *.a  ; fi
+	if [ -d \$(SLB) ] ; then cd \$(SLB)/. ; rm -f *.so ; fi
+	if [ -d \$(OBJ) ] ; then cd \$(OBJ)/. ; rm -f *.o  ; fi
+	if [ -d \$(OBJ)/cxxrep ] ; then cd \$(OBJ)/cxxrep/. ; rm -f *.o  ; fi
+	if [ -d PI ]     ; then cd PI/.     ; \$(MAKE) clean ; fi
+
+__END__
+
+mv GNUmakefile ../GNUmakefile
+
+echo '*** mkmf done ***'
+
Index: /trunk/SophyaLib/Mgr/mkmfPI
===================================================================
--- /trunk/SophyaLib/Mgr/mkmfPI	(revision 218)
+++ /trunk/SophyaLib/Mgr/mkmfPI	(revision 218)
@@ -0,0 +1,85 @@
+#!/bin/csh
+# $Id: mkmfPI,v 1.1.1.1 1999-04-09 17:55:32 ansari Exp $
+
+set makefname = 'GNUmakefile'
+
+cd ../$1
+
+if ( ! -f exclude ) touch exclude
+if ( ! $?TMPDIR ) set TMPDIR = /tmp
+sort exclude >! $TMPDIR/exclude.sort
+
+##############################################
+########### fichier de la liste des .o #######
+##############################################
+
+set liblist = $1.o.list
+rm -f $liblist
+ls *.{c,cc} | comm -3 -1 $TMPDIR/exclude.sort - | sed -e 's/\.cc/.o/' | sed -e 's/\.c/.o/' >> $liblist
+unset liblist
+
+##############################################
+########### Creation de GNUmakefile ##########
+##############################################
+
+set libf='$(LIB)lib'$1'.a'
+
+rm -f $makefname
+
+echo "MODULECXXREPNAME := PI" >>  $makefname
+
+set hfcxxlibs = '-L$(LIB)' 
+set i = 1
+while ($i <= $#argv)
+  set hfcxxlibs = "$hfcxxlibs -l$argv[$i]"
+  @ i++
+end
+
+
+
+# 04/98: le fichier X11/Xlib.h contient des declarations de fonctions sans type  
+# Cela genere un grand nombre de warning avec cxx V6 
+# On specifie donc -msg_quiet pour PI, ProgPI, ...
+echo 'MODULEDECCXXFLAGS := -msg_quiet' >> $makefname
+echo 'include ../Mgr/Makefile.h' >> $makefname
+
+echo " " >> $makefname
+
+set ccfiles  = `ls *.cc  | comm -3 -1 $TMPDIR/exclude.sort -`
+set objfiles = `ls *.cc  | comm -3 -1 $TMPDIR/exclude.sort - | sed -e 's/\.cc/.o/g' | sed -e 's/^/$(OBJ)/'`
+
+rm -f $TMPDIR/exclude.sort
+
+echo 'all:' $libf >> $makefname 
+
+echo $libf ':' $objfiles  >> $makefname
+echo '	$(AR) $(ARFLAGS)  $@ $? ' >> $makefname
+echo 'ifeq ($(CXX),cxx)' >> $makefname
+echo '	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS)' $hfcxxlibs '-o $(OBJ)xx.x -Hf' >> $makefname
+echo 'endif ' >> $makefname
+
+echo " " >> $makefname
+
+echo 'clean:' >> $makefname 
+echo '	rm -f '$objfiles >> $makefname
+echo 'ifeq ($(CXX),cxx)' >> $makefname
+echo '	cd $(REPM); rm -f *.o'  >> $makefname
+echo 'endif ' >> $makefname
+
+echo " " >> $makefname
+
+set inc = $DPCDEVREP/Include
+set incxx = $inc/CxxInc
+
+foreach f ( $ccfiles )
+  gcc -MM -I$inc -I$incxx $f  \
+       | sed -e 's/.*\.o/\$(OBJ)&/'  \
+       | sed -e 's?'$incxx/'?$(CXI)?g' \
+       | sed -e 's?'$inc/'?$(INC)?g' >> $makefname
+end
+
+
+
+
+
+
Index: /trunk/SophyaLib/Mgr/mkmflib
===================================================================
--- /trunk/SophyaLib/Mgr/mkmflib	(revision 218)
+++ /trunk/SophyaLib/Mgr/mkmflib	(revision 218)
@@ -0,0 +1,81 @@
+#!/bin/csh
+# $Id: mkmflib,v 1.1.1.1 1999-04-09 17:55:32 ansari Exp $
+
+cd ../$1
+
+if ( ! -f exclude ) touch exclude
+if ( ! $?TMPDIR ) set TMPDIR = /tmp
+sort exclude >! $TMPDIR/exclude.sort
+
+##############################################
+########### fichier de la liste des .o #######
+##############################################
+
+set liblist = $1.o.list
+rm -f $liblist
+ls *.{c,cc} | comm -3 -1 $TMPDIR/exclude.sort - | sed -e 's/\.cc/.o/' | sed -e 's/\.c/.o/' >> $liblist
+unset liblist
+
+##############################################
+########### Creation de GNUmakefile ##########
+##############################################
+
+set libf='$(LIB)lib'$1'.a'
+
+set hfcxxlibs = '-L$(LIB)' 
+set i = 1
+while ($i <= $#argv)
+  set hfcxxlibs = "$hfcxxlibs -l$argv[$i]"
+  @ i++
+end
+
+
+rm -f GNUmakefile
+
+echo 'include ../Mgr/Makefile.h' >> GNUmakefile 
+
+echo " " >> GNUmakefile
+echo 'all:' $libf  >> GNUmakefile 
+
+echo 'clean:' >> GNUmakefile
+set toto='rm -f'
+foreach f (*.cc *.c) 
+  set toto= ( $toto '$(OBJ)'$f:r.o )
+end
+echo '	'$toto >> GNUmakefile
+echo '	rm '$libf >> GNUmakefile
+
+echo $libf ':' \
+ `ls *.{c,cc} | comm -3 -1 $TMPDIR/exclude.sort - | sed -e 's/\.cc/.o/' | sed -e 's/\.c/.o/' | sed -e 's/^/$(OBJ)/'` >> GNUmakefile
+echo '	$(AR) $(ARFLAGS) $@ $?' >> GNUmakefile
+#  Pour faire compiler les instantiations automatique de cxx (DEC)
+echo 'ifeq ($(CXX),cxx)' >> GNUmakefile
+echo '	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS)' $hfcxxlibs '-o $(OBJ)xx.x -Hf' >> GNUmakefile
+echo 'endif ' >> GNUmakefile
+
+rm -f $TMPDIR/exclude.sort
+
+echo " " >> GNUmakefile
+
+set inc = $DPCDEVREP/Include
+set incxx = $inc/CxxInc
+
+foreach f ( *.cc )
+  grep -q '^'$f'$' exclude && continue
+  gcc -MM -I$inc -I$incxx $f  \
+       | sed -e 's/.*\.o/\$(OBJ)&/'  \
+       | sed -e 's?'$incxx/'?$(CXI)?g' \
+       | sed -e 's?'$inc/'?$(INC)?g' >> GNUmakefile
+end
+
+foreach f ( *.c )
+  grep -q '^'$f'$' exclude && continue
+  gcc -MM -I$inc -I$incxx $f  \
+       | sed -e 's/.*\.o/\$(OBJ)&/'  \
+       | sed -e 's?'$incxx/'?$(CXI)?g' \
+       | sed -e 's?'$inc/'?$(INC)?g' >> GNUmakefile
+end 
+
+
+
+
Index: /trunk/SophyaLib/Mgr/mkmflib_save
===================================================================
--- /trunk/SophyaLib/Mgr/mkmflib_save	(revision 218)
+++ /trunk/SophyaLib/Mgr/mkmflib_save	(revision 218)
@@ -0,0 +1,67 @@
+#!/bin/csh
+# $Id: mkmflib_save,v 1.1.1.1 1999-04-09 17:55:32 ansari Exp $
+
+cd ../$1
+set libf='$(LIB)lib'$1'.a'
+
+set hfcxxlibs = '-L$(LIB)' 
+set i = 1
+while ($i <= $#argv)
+  set hfcxxlibs = "$hfcxxlibs -l$argv[$i]"
+  @ i++
+end
+
+
+rm -f GNUmakefile
+
+echo 'include ../Mgr/Makefile.h' >> GNUmakefile 
+
+echo " " >> GNUmakefile
+echo 'all:' $libf  >> GNUmakefile 
+
+echo 'clean:' >> GNUmakefile
+set toto='rm -f'
+foreach f (*.cc *.c) 
+  set toto= ( $toto '$(OBJ)'$f:r.o )
+end
+echo '	'$toto >> GNUmakefile
+echo '	rm '$libf >> GNUmakefile
+
+if ( ! -f exclude ) touch exclude
+if ( ! $?TMPDIR ) set TMPDIR = /tmp
+sort exclude >! $TMPDIR/exclude.sort
+
+echo $libf ':' \
+ `ls *.{c,cc} | comm -3 -1 $TMPDIR/exclude.sort - | sed -e 's/\.cc/.o/' | sed -e 's/\.c/.o/' | sed -e 's/^/$(OBJ)/'` >> GNUmakefile
+echo '	$(AR) $(ARFLAGS) $@ $?' >> GNUmakefile
+#  Pour faire compiler les instantiations automatique de cxx (DEC)
+echo 'ifeq ($(CXX),cxx)' >> GNUmakefile
+echo '	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS)' $hfcxxlibs '-o $(OBJ)xx.x -Hf' >> GNUmakefile
+echo 'endif ' >> GNUmakefile
+
+rm -f $TMPDIR/exclude.sort
+
+echo " " >> GNUmakefile
+
+set inc = $DPCDEVREP/Include
+set incxx = $inc/CxxInc
+
+foreach f ( *.cc )
+  grep -q '^'$f'$' exclude && continue
+  gcc -MM -I$inc -I$incxx $f  \
+       | sed -e 's/.*\.o/\$(OBJ)&/'  \
+       | sed -e 's?'$incxx/'?$(CXI)?g' \
+       | sed -e 's?'$inc/'?$(INC)?g' >> GNUmakefile
+end
+
+foreach f ( *.c )
+  grep -q '^'$f'$' exclude && continue
+  gcc -MM -I$inc -I$incxx $f  \
+       | sed -e 's/.*\.o/\$(OBJ)&/'  \
+       | sed -e 's?'$incxx/'?$(CXI)?g' \
+       | sed -e 's?'$inc/'?$(INC)?g' >> GNUmakefile
+end 
+
+
+
+
Index: /trunk/SophyaLib/Mgr/mkmflien
===================================================================
--- /trunk/SophyaLib/Mgr/mkmflien	(revision 218)
+++ /trunk/SophyaLib/Mgr/mkmflien	(revision 218)
@@ -0,0 +1,67 @@
+#!/bin/csh 
+# $Id: mkmflien,v 1.1.1.1 1999-04-09 17:55:31 ansari Exp $
+
+#########################################################
+#### repertoire contenant les repertoires du code+include
+#########################################################
+pushd ../.      > /dev/null
+set src = ` pwd | sed 's?/tmp_mnt??' `
+popd            > /dev/null
+
+#############################################################
+#### repertoire contenant les liens a creer pour les includes
+#############################################################
+if( $#argv >= 1 ) then
+  set dst = $1
+else
+  set dst = $DPCDEVREP/Include
+endif
+if ( ! -d $dst/ ) then
+  echo repertoire $dst inconnu
+  exit -1
+endif
+
+#########################################################
+### Les includes a mettre dans Include pour les Makefiles
+#########################################################
+foreach f ( $src/Mgr/Makefile.h $src/Mgr/MakefileUser.h )
+  if( -e $f ) then
+    ln -sf $f $dst/
+  endif
+end
+
+
+###################################################
+####  Les includes de tnt a mettre dans Include/tnt
+###################################################
+if( -d $dst/tnt ) then
+  if( -d $src/tnt ) then
+    foreach f ( $src/tnt/*.h )
+      ln -sf $f $dst/tnt/
+    end
+  endif
+endif
+
+
+###################################################
+####  Les includes de Blitz++ lien ds Include
+###################################################
+if( -e $src/Blitz ) then
+  ln -sf $src/Blitz/blitz $dst/blitz
+endif
+
+
+####################################################
+####  Les includes du code C++ a mettre dans Include
+####################################################
+foreach d (`cat libdirs` PI PIext  )
+  if ( -d $src/$d ) then
+    echo $src/$d
+    foreach f ( $src/$d/*.h )
+      ln -sf $f $dst/
+    end
+  endif
+end
+
+
+exit 0
Index: /trunk/SophyaLib/Mgr/mkmfprog
===================================================================
--- /trunk/SophyaLib/Mgr/mkmfprog	(revision 218)
+++ /trunk/SophyaLib/Mgr/mkmfprog	(revision 218)
@@ -0,0 +1,91 @@
+#!/bin/csh 
+# $Id: mkmfprog,v 1.1.1.1 1999-04-09 17:55:32 ansari Exp $
+
+# $1 : nom du repertoire
+# dans le repertoire, programs : liste des programs
+#                     usedlibs : liste des -L -l utilises
+#                     usedslibs : idem pour shlibs
+
+cd ../$1
+
+rm -f GNUmakefile
+
+
+echo 'MODULECXXREPNAME := ' $1  >> GNUmakefile
+# 04/98 : le fichier X11/Xlib.h contient des declarations de fonctions sans type
+# Cela genere un grand nombre de warning avec cxx V6 
+# On specifie donc -msg_quiet pour ProgPI
+if ($1 == 'ProgPI')  then
+  echo 'MODULEDECCXXFLAGS := -msg_quiet' >> GNUmakefile 
+endif
+echo 'include ../Mgr/Makefile.h' >> GNUmakefile
+
+echo ' ' >> GNUmakefile
+
+echo 'ifdef NOSHLIB'                                        >> GNUmakefile
+echo 'LIBF = ' `sed -e 's/.*/$(LIB)lib&.a/' usedlibs`       >> GNUmakefile
+echo 'LIBS = -L$(LIB)' `sed -e 's/.*/-l&/' usedlibs` ' -lm' >> GNUmakefile
+echo 'ifeq ($(CXX),cxx)'                                    >> GNUmakefile
+echo '# librairie des instances de templates cxx'           >> GNUmakefile
+echo 'LIBS := $(LIBS) -lertcxx'                             >> GNUmakefile
+echo 'endif' >> GNUmakefile 
+echo 'else'                                                 >> GNUmakefile
+echo 'LIBF = ' `sed -e 's/.*/$(SLB)lib&.so/' usedslibs`     >> GNUmakefile
+echo 'LIBS = -L$(SLB)' `sed -e 's/.*/-l&/' usedslibs` ' -lm'>> GNUmakefile
+echo 'endif'                                                >> GNUmakefile
+
+echo 'LIBSORA := $(LIBS)' >> GNUmakefile
+echo 'ifdef ORACLE_HOME' >> GNUmakefile
+echo 'LIBSORA := -L$(LIB) -lDb++ $(LIBS) -lErosDb -L$(ORACLE_HOME)/lib -lclntsh' >> GNUmakefile
+echo 'endif' >> GNUmakefile
+
+echo 'LDLIBS := $(LIBS) $(LDLIBS)' >> GNUmakefile
+
+set progaexe = programs
+if( -e programs_exe ) set progaexe = programs_exe
+echo 'PROGS = '`cut -d \  -f1 $progaexe | awk '{if(length($1)>0) print $1}' | sed -e 's/^/\$(EXE)/'` >> GNUmakefile
+unset progaexe
+
+echo " " >> GNUmakefile
+echo 'all: $(PROGS)' >> GNUmakefile 
+
+set cxxrepname = cxxrep_$1
+
+cat >> GNUmakefile << __END__
+
+clean:
+	rm -f \$(PROGS)
+	if [ -d \$(OBJ)$cxxrepname ] ; then cd \$(OBJ)$cxxrepname ; rm -f *.o ; fi
+
+__END__
+
+awk -f ../Mgr/mkmfprog.awk programs >> GNUmakefile
+
+#foreach f (`cat programs`)
+#  echo $f ': $(EXE)'$f >> GNUmakefile
+#  echo '	' >> GNUmakefile
+#  echo '$(EXE)'$f ':' '$(OBJ)'$f.o '$(LIBF)' >> GNUmakefile
+#  echo '	g++ $(LDFLAGS) -o $@ $< $(LIBS)' >> GNUmakefile
+#  echo " ">> GNUmakefile
+#end
+
+#foreach f (`cat ../Mgr/programs_db`)
+#  echo $f ': $(EXE)'$f >> GNUmakefile
+#  echo '	' >> GNUmakefile
+#  echo '$(EXE)'$f ':' '$(OBJ)'$f.o '$(LIBF)' >> GNUmakefile
+#  echo '	g++ $(LDFLAGS) -o $@ $< $(LIBSORA)' >> GNUmakefile
+#  echo " ">> GNUmakefile
+#end
+
+set inc = $DPCDEVREP/Include
+
+
+foreach f ( *.cc )
+  gcc -MM -I$inc $f  \
+       | sed -e 's/.*\.o/\$(OBJ)&/' \
+       | sed -e 's?'$inc/'?$(INC)?g' >> GNUmakefile
+end 
+
+
+
+
Index: /trunk/SophyaLib/Mgr/mkmfprog.awk
===================================================================
--- /trunk/SophyaLib/Mgr/mkmfprog.awk	(revision 218)
+++ /trunk/SophyaLib/Mgr/mkmfprog.awk	(revision 218)
@@ -0,0 +1,22 @@
+{ print $1 ": $(EXE)"$1 ;
+  print "	" ;
+  xlib = ""
+  if (NF == 1) 
+     obj = "$(OBJ)"$1".o";
+  else if (NF == 2 && $2 == "DB") {
+     obj = "$(OBJ)"$1".o";
+     xlib = "$(LIBSORA)";
+  }
+  else {
+    obj = "";
+    for (i=2;i<=NF;i++) {
+      if ($i == "DB")
+       xlib = "$(LIBSORA)"
+      else
+       obj = obj " $(OBJ)"$i;
+     }
+  }
+  print "$(EXE)"$1 ":" obj;
+  print "	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ " xlib
+  print "  "  
+}
Index: /trunk/SophyaLib/Mgr/progdirs
===================================================================
--- /trunk/SophyaLib/Mgr/progdirs	(revision 218)
+++ /trunk/SophyaLib/Mgr/progdirs	(revision 218)
@@ -0,0 +1,3 @@
+Prog
+ProgAcq
+ProgPI
Index: /trunk/SophyaLib/Mgr/progdirs_ccpn
===================================================================
--- /trunk/SophyaLib/Mgr/progdirs_ccpn	(revision 218)
+++ /trunk/SophyaLib/Mgr/progdirs_ccpn	(revision 218)
@@ -0,0 +1,1 @@
+Prog
